Packages - Freedom Issue #2670

[osinfo-db] Contains metadata for nonfree OSs, including download URLs
2020-04-05 08:44 PM - grizzlyuser

Status: confirmed % Done: 0%
Priority: freedom issue

Assignee:

Category:

Description

Package version: 20200214-1

Steps to reproduce:
1. # pacman -Syu osinfo-db
2. pacman -Ql osinfo-db

Expected result:

According to FSDG [1]:

A free system distribution must not steer users towards obtaining any nonfree information for practical use, or encourage them to do
s0. The system should have no repositories for nonfree software and no specific recipes for installation of particular nonfree
programs. Nor should the distribution refer to third-party repositories that are not committed to only including free software; even if
they only have free software today, that may not be true tomorrow. Programs in the system should not suggest installing nonfree
plugins, documentation, and so on.

[1] https://www.gnu.org/distros/free-system-distribution-guidelines.en.html#license-rules

Actual result:

There are metadata files for nonfree and/or non-FSDG operating systems like Windows, Ubuntu, etc. For example, see
/usr/share/osinfo/os/ubuntu.com/ubuntu-16.04.xml that contains URLs for downloading of ISOs and other OS images.

Related issues:
Related to Packages - Freedom Issue #2671: [libosinfo] Probably needs to be r... unconfirmed

History

#1 - 2020-04-05 08:59 PM - grizzlyuser
Please note, there is a /usr/share/osinfo/os/pureos.net/pureos-8.xml metadata file for PureOS 8. According to [2] this version has a release date that
is after the endorsement of PureOS by FSF [3].

So if metadata files for most of the OSs are going to be removed in the patched package, it makes sense to preserve at least the ones related to
PureOS.

[2] https://distrowatch.com/table.php?distribution=pureos
[3] https://www.fsf.org/news/fsf-adds-pureos-to-list-of-endorsed-gnu-linux-distributions-1

#2 - 2020-04-06 02:19 AM - bill-auger
- Priority changed from bug to freedom issue

- Status changed from unconfirmed to confirmed

this package does not seem to have much value IMHO - and even if it did, it looks like pureos is the only FSDG-fit distro that it indexes anyways - i
would suggest just blacklisting it rather than bothering to liberate it

#3 - 2020-04-06 02:24 AM - bill-auger
- Related to Freedom Issue #2671: [libosinfo] Probably needs to be removed from blacklist added

#4 - 2020-04-06 07:10 AM - grizzlyuser
bill-auger wrote:
this package does not seem to have much value IMHO - and even if it did, it looks like pureos is the only FSDG-fit distro that it indexes anyways

- i would suggest just blacklisting it rather than bothering to liberate it

libosinfo depends on it, and it's in turn a dependency of other packages that have a value, please see https:/labs.parabola.nu/issues/2671#note-3
#5 - 2020-04-06 08:31 AM - bill-auger

ok so if the only problematic thing about this package is URLs
to download ISOs, that should be fairly easy to patch

#6 - 2020-04-13 03:29 PM - theova
bill-auger wrote:
ok so if the only problematic thing about this package is URLs

to download ISOs, that should be fairly easy to patch

So it would be enough to replace the URLs and redirect them to parabola.nu?

#7 - 2020-04-13 05:09 PM - grizzlyuser

As | understand, all the metadata about nonfree software is better to be removed, not just URLs.

| guess the subject of this issue is somewhat misleading. Did | write it? If yes, sorry for that. It should say something like "[osinfo-db] Contains
metadata for nonfree OSs, including download URLs".

#8 - 2020-04-13 05:17 PM - theova

- Subject changed from [osinfo-db] Contains links to nonfree OSs to [osinfo-db] Contains metadata for nonfree OSs, including download URLs
